ArrayIterator (Commons JEXL 2.0.1 API)
Keywords: org.apache.commons.jexl2.internal.ArrayIterator class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.jexl2.internal
Class ArrayIterator

    java.lang.Object
      org.apache.commons.jexl2.internal.ArrayIterator

All Implemented Interfaces:
  java.util.Iterator<java.lang.Object>

    public class ArrayIterator

extends java.lang.Object
implements java.util.Iterator<java.lang.Object>

An Iterator wrapper for an Object[]. This will allow us to deal with all array like structures in a consistent manner.

WARNING : this class's operations are NOT synchronized. It is meant to be used in a single thread, newly created for each use in the #foreach() directive. If this is used or shared, synchronize in the next() method.

Since:
  1.0
Version:
  $Id: ArrayIterator.java 889223 2009-12-10 12:05:22Z henrib $
Author:
  Jason van Zyl, Geir Magnusson Jr.

Constructor Summary
`ArrayIterator(java.lang.Object arr)` Creates a new iterator instance for the specified array.

Method Summary
`boolean` | `hasNext()` Check to see if there is another element in the array.
`java.lang.Object` | `next()` Move to next element in the array.
`void` | `remove()` No op--merely added to satify the `Iterator` interface.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ArrayIterator

    public ArrayIterator(java.lang.Object arr)

  Creates a new iterator instance for the specified array.

  Parameters:
    `arr` - The array for which an iterator is desired.

Method Detail

### next

    public java.lang.Object next()

  Move to next element in the array.

  Specified by:
    `next` in interface `java.util.Iterator<java.lang.Object>`
  Returns:
    The next object in the array.

### hasNext

    public boolean hasNext()

  Check to see if there is another element in the array.

  Specified by:
    `hasNext` in interface `java.util.Iterator<java.lang.Object>`
  Returns:
    Whether there is another element.

### remove

    public void remove()

  No op--merely added to satify the `Iterator` interface.

  Specified by:
    `remove` in interface `java.util.Iterator<java.lang.Object>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 The Apache Software Foundation. All Rights Reserved.